#
# spec file for package libtorrent
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtorrent
Version:        0.13.4
Release:        6.4
%define soname	18
Summary:        A BitTorrent library written in C++
License:        SUSE-GPL-2.0+-with-openssl-exception
Group:          Productivity/Networking/File-Sharing
URL:            http://libtorrent.rakshasa.no/

#Git-Clone:	git://github.com/rakshasa/libtorrent
Source:         http://libtorrent.rakshasa.no/downloads/%name-%version.tar.gz
BuildRoot:      %_tmppath/%name-%version-build
BuildRequires:  cppunit-devel
BuildRequires:  gcc-c++
#BuildRequires:  libxmlrpc-c-devel
BuildRequires:  openssl-devel
BuildRequires:  pkg-config

%description
LibTorrent is a BitTorrent library written in C++. It transfers
directly from file pages to the network stack, and achieves 3x higher
seed speeds than the official client on high-bandwidth links.

%package -n %name%soname
Summary:        A BitTorrent library written in C++
Group:          System/Libraries

%description -n %name%soname
LibTorrent is a BitTorrent library written in C++. It transfers
directly from file pages to the network stack, and achieves 3x higher
seed speeds than the official client on high-bandwidth links.

%package devel
Requires:       %name%soname = %version
Summary:        Development files for libtorrent, a C++ BitTorrent library
Group:          Development/Libraries/C and C++

%description devel
LibTorrent is a BitTorrent library written in C++. It transfers
directly from file pages to the network stack, and achieves 3x higher
seed speeds than the official client on high-bandwidth links.

%prep
%setup -q

%build
export CFLAGS="%optflags -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%if 0%{?suse_version} >= 1220
export CXXFLAGS="$CXXFLAGS -std=gnu++11"
%endif
%configure --enable-ipv6 --with-posix-fallocate --with-xmlrpc-c
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
find "%buildroot" -type f -name "*.la" -delete

%post   -n %name%soname -p /sbin/ldconfig
%postun -n %name%soname -p /sbin/ldconfig

%files -n %name%soname
%defattr(-,root,root)
%_libdir/%name.so.%{soname}*

%files -n %name-devel
%defattr(-,root,root)
%_includedir/torrent
%_libdir/%name.so
%_libdir/pkgconfig/libtorrent.pc

%changelog
* Sat Jul 19 2014 jengelh@inai.de
- Update to new upstream release 0.13.4
  * Don't start requesting more peers if connected to PEX-enabled
  peers.
  * Added exception for if the transfer list isn't empty at dtor.
  * Added special handling of peers that do choke+unchoke before
  transfering pieces.
* Fri Feb  8 2013 jengelh@inai.de
- Update to new upstream release 0.13.3
  * No changelog provided
  * Required by rtorrent-0.9.3
- Use more robust make install call
- Build with -fno-strict-aliasing because the code is scaredly
  full of type punning dereferences (reflected in the build log).
- Remove libtorrent-decls.diff, libtorrent-gcc4.3-0.12.2.patch:
  issues resolved upstream
* Wed Mar  7 2012 cfarrell@suse.com
- license update: SUSE-GPL-2.0+-with-openssl-exception
  Package allows linking against openSSL. Use the SUSE- proprietary prefix
  until upstream spdx.org accepts the linking exception
* Tue Feb 21 2012 jengelh@medozas.de
- Run format_spec_file to please the automatic factory
  pre-checkin checker scripts
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
- New patch libtorrent-decls.diff: add missing includes to
  fix build errors
* Sat May  9 2009 bitshuffler#suse@irc.freenode.org
- Initial RPM
